main {
    overflow: hidden;
    background: transparent linear-gradient(270deg, #000000 0%, #5A1144 49%, #000000 100%) 0% 0% no-repeat padding-box;
}

main section {
    min-height: unset;
}

main .top-section {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
    padding-top: 40px;
    font-family: var(--roboto-bold);
    line-height: normal;
}

main .top-section .light {
    position: absolute;
    top: -54%;
    width: 100%;
    height: 500%;
    background: transparent radial-gradient(closest-side at 50% 9%, var(--main-color) 0%, #001E3500 100%) 0% 0% no-repeat padding-box;
    pointer-events: none;
    z-index: 0;
}

main .top-section .text-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: var(--roboto-regular);
    z-index: 1;
}

main .top-section .text-wrapper h1 {
    font-size: 12px;
    margin: 0;
    line-height: 1;
    font-family: var(--roboto-regular);
}

main .top-section .text-wrapper img {
    max-width: 200px;
    margin-bottom: 10px;
}

main .top-section .text-wrapper span {
    max-width: 300px;
    font-size: 14px;
    text-align: center;
}

main .mid-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 45px;
}

main .mid-section .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

main .mid-section .container h2 {
    padding: 0;
    margin: 0;
    font-size: 22px;
    background-color: unset;
    color: #ffffff;
    font-family: var(--roboto-bold);
}

main .mid-section .container.how-it-works {
    gap: 30px;
}

main .mid-section .container.how-it-works .inner-container {
    display: flex;
    justify-content: center;
    gap: 20px 5px;
    flex-wrap: wrap;
    padding: 0 15px;
}

main .mid-section .container.how-it-works .inner-container .card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 160px;
    min-height: 130px;
    padding: 10px;
    background: transparent linear-gradient(180deg, var(--main-color) 0%, #720E45 100%) 0% 0% no-repeat padding-box;
    border-radius: 5px;
}

main .mid-section .container.how-it-works .inner-container .card .notch {
    position: relative;
    top: -20px;
    padding: 2px 20px;
    background-color: var(--dark-main-color);
    border-radius: 3px;
    border: 2px solid var(--main-color);
    font-family: var(--roboto-bold);
    font-size: 14px;
}

main .mid-section .container.how-it-works .inner-container .card .text {
    font-family: var(--roboto-regular);
    font-size: 14px;
    line-height: normal;
    margin-top: -20px;
    text-align: center;
}

main .mid-section .container.how-it-works .inner-container .card .button {
    padding: 0 15px;
    font-size: 14px;
    text-wrap: nowrap;
}

main .mid-section .container.level-benefits {
    position: relative;
    width: 100%;
    padding: 0 20px;
    gap: 25px;
    /*background-image: url(/img/programa-puntos/background-niveles.webp);*/
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

main .mid-section .container.level-benefits .inner-container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    width: 100%;
    max-width: 950px;
}

main .mid-section .container.level-benefits .inner-container .cards-data-table-container { 
    display: flex;
    flex-direction: column;
    align-items:center;
    gap: 30px;
}

/*main .mid-section .container.level-benefits .inner-container .cards-data-table-container > span {*/
/*    font-family: var(--roboto-regular);*/
/*    color: #ffffff;*/
/*    font-size: 14px;*/
/*    margin-top: -20px;*/
/*}*/

main .mid-section .container.level-benefits .level-benefits-data-container .weekly-limit {
    position: absolute;
    bottom: -30px;
    left: 50%;
    transform: translateX(-50%);
    font-family: var(--roboto-regular);
    color: #ffffff;
    font-size: 14px;
    white-space: nowrap;
}

main .mid-section .container.level-benefits .inner-container .cards-data-table-container.swiper-2 { 
    display: none;
}

main .mid-section .container.level-benefits .level-benefits-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
    order: 1;
}

main .mid-section .container.level-benefits .inner-container .swiper-prev,
main .mid-section .container.level-benefits .inner-container .swiper-next {
    position: absolute;
    /*bottom: 0;*/
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor: pointer;
    z-index: 2; /* Aseguramos que queden por encima del slider para que sean clicables en móvil */
    pointer-events: auto;
}

main .mid-section .container.level-benefits .inner-container .swiper-prev {
    left: 20px;
}

main .mid-section .container.level-benefits .inner-container .swiper-next {
    right: 20px;
}

main .mid-section .container.level-benefits .level-benefits-container {
    width: 160px;
    height: 200px;
}

main .mid-section .container.level-benefits .level-benefits-container .swiper-slide {
    border-radius: 10px;
    background-color: var(--main-color);
}

main .mid-section .container.level-benefits .level-benefits-data-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 335px;
    min-width: 335px;
    padding: 12px;
    background-color: #ffffff;
    border-radius: 10px;
    color: var(--dark-main-color);
    order: 2;
    position: relative;
}

main .mid-section .container.level-benefits .level-benefits-data-container .text-container {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

main .mid-section .container.level-benefits .level-benefits-data-container .text-container .title {
    font-family: var(--roboto-bold);
    font-size: 22px;
    padding: 0;
    margin: 0;
    color: var(--dark-main-color);
}

main .mid-section .container.level-benefits .level-benefits-data-container .text-container .points {
    font-family: var(--roboto-regular);
    font-size: 16px;
}

main .mid-section .container.level-benefits .level-benefits-data-container .features-container {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

main .mid-section .container.level-benefits .level-benefits-data-container .features-container .feature {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 5px 0;
    border-radius: 5px;
    color: #ffffff;
}

.limit-list{
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.limit-list li{
    margin: 0;
    padding: 0; 
    font-family: var(--roboto-regular);
    position: relative;
    display: flex;
    align-items: center;
    height: 30px;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 5px;
    overflow: hidden;
    padding-left: 10px;
    padding-right: 10px;
}

.limit-list li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: calc(var(--progress-width, 0) * 1%);
    min-width: 0;
    background: #720E45;
    border-radius: 5px;
    z-index: 0;
    transition: width 0.3s ease;
}

.limit-list > li {
    background-color: #E60881;
}

.limit-list li span {
    display: flex;
    justify-content: space-between;
    position: relative;
    z-index: 1;
    padding: 0;
    color: #ffffff;
    font-size: 14px;
    white-space: nowrap;
    width: 100%;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

.info-win-coins{
    padding-top: 15px;
    display:flex;
    flex-direction: column;
    margin: 20px;
    gap: 20px;
    font-family: var(--roboto-regular);
}

.coins-section{
    width: 350px;
}

.info-win-coins .coins-section {
    display:flex;
    flex-direction:column;
    background-color: #720E45;
    padding: 12px;
    border-radius: 7px;
    gap: 10px;
}

.info-win-coins .coins-section .coins-header{
    background-color: #E60881;
    padding: 7px;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
}

.coins-description{
    display: flex;
    flex-direction: column;
    gap:5px;
    line-height: 23px;
}

.coins-icon{
    display: flex;
    padding-right: 5px;
    flex-direction: row;
    align-items: center;
}

.coins-title{
    padding-left: 5px;
    font-family: Roboto bold;
}

.info-win-note{
    font-family: var(--roboto-regular);
    margin: 10px;
    font-size: 12px;
    text-align: center;
    line-height: 18px;
    margin-top: -20px;
}

main .mid-section .container.level-benefits .level-benefits-data-container .features-container .feature span {
    font-family: var(--roboto-bold);
    font-size: 14px;
}

main .mid-section .container.level-benefits .level-benefits-data-container .features-container .feature .star {
    width: 20px;
    height: 20px;
}

main .mid-section .container.level-benefits .level-benefits-data-container .features-container .feature.disabled .star {
    opacity: 0.5;
}

main .mid-section .container.how-win-coins {
    gap: 10px;
}

main .mid-section .container.how-win-coins .inner-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

main .mid-section .container.how-win-coins .inner-container > .text {
    display: block;
    width: 70%;
    font-family: var(--roboto-regular);
    font-size: 14px;
    line-height: normal;
    text-align: center;
}

main .mid-section .container.how-win-coins .tabs-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    width: 100%;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-navbar-container {
    display: flex;
    justify-content: center;
    width: 100%;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-navbar {
    display: flex;
    gap: 10px;
    scroll-snap-type: x mandatory;
    overflow-x: auto;
    scroll-padding-left: 20px;
    padding-left: 20px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-navbar::-webkit-scrollbar {
    height: 2px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-navbar::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: var(--main-color);
}

main .mid-section .container.how-win-coins .tabs-container .tabs-navbar span {
    flex: 0 0 auto; 
    font-family: var(--roboto-regular);
    font-size: 14px;
    padding: 5px 15px;
    text-wrap: nowrap;
    scroll-snap-align: start;
    background-color: var(--dark-main-color);
    cursor: pointer;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-navbar span.active {
    background-color: var(--main-color);
    border-radius: 3px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    max-width: 720px;
    padding: 20px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .card {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(1, 1fr);
    max-width: 335px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .card .wrapper {
    max-height: 70px;
    overflow: hidden;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body {
    gap: 7px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    width: fit-content;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper .card {
    align-items: end;
    padding: 10px;
    background-color: #ffffff;
    border-radius: 10px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper .card .image {
    border-radius: 5px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper .card .wrapper {
    display: flex;
    flex-direction: column;
    gap: 5px;
    min-height: 100%;
    padding: 0 5px;
    font-family: var(--roboto-bold);
    color: var(--dark-main-color);
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper .card .wrapper span {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    width: 100%;
    line-height: 1;
    text-align: center;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper .card .wrapper .prize-price {
    background-color: #E4E4E4;
    border-radius: 5px;
    padding: 5px 0;
    font-size: 19px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper .card .wrapper .prize-price .coin {
    width: 15px;
    height: 15px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .limit-text {
    font-size: 12px;
    font-family: var(--roboto-regular);
    line-height: 1;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .limit-text span {
    color: var(--main-color);
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'deposit'].active) .tabs-body .card-wrapper .text .text-secondary-color {
    font-family: var(--roboto-bold);
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'stakes'].active) .tabs-body {
    gap: 5px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'stakes'].active) .tabs-body .card {
    gap: 5px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .card .wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5px;
    background-color: #ffffff;
    border-radius: 5px;
    font-family: var(--roboto-bold);
    padding: 10px 5px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .card .wrapper.full-text {
    gap: 0;
    background-color: transparent;
    line-height: 1;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .card .wrapper.full-text .amount {
    font-size: 25px;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .card .wrapper.full-text .text {
    color: #ffffff !important;
    font-size: 14px !important;
    text-align: center;
    text-wrap: nowrap;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'special-events'].active)  .tabs-body .card .wrapper.full-text .text {
    text-wrap: wrap;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'stakes'].active) .tabs-body .card .wrapper img {
    width: 35px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'stakes'].active) .tabs-body .card .wrapper .text {
    color: var(--dark-main-color);
    font-size: 12px;
    line-height: 1;
}

main .mid-section .container.how-win-coins .tabs-container .tabs-body .card .wrapper.full-image {
    padding: 0;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'stakes'].active) .tabs-body .card .wrapper.full-image img {
    width: 100%;
    border-radius: 5px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'active-months'].active) .tabs-body {
    gap: 5px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'active-months'].active) .tabs-body .card {
    gap: 5px;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'active-months'].active) .tabs-body .card .wrapper.full-image {
    grid-column: span 3 / span 3;
}

main .mid-section .container.how-win-coins .tabs-container:has(span[data-tab-section = 'active-months'].active) .tabs-body .card .wrapper.full-image img {
    width: 100%;
}

main .bottom-section {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 25px;
    padding: 40px 0;
    /*background-image: url('/img/programa-puntos/background-imagen-tienda.webp');    */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
    
main .bottom-section .text-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    width: 300px;
    z-index: 1;
}

main .bottom-section .text-container h2 {
    margin: 0;
    padding: 0;
    width: 80%;
    font-family: var(--roboto-bold);
    font-size: 22px;
    background-color: unset;
    color: #ffffff;
    text-align: center;
    line-height: 1;
}

main .bottom-section .text-container span {
    font-family: var(--roboto-regular);
    font-size: 14px;
    line-height: 1;
    text-align: center;
}

main .bottom-section img {
    width: 300px;
}

.current-points{
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 1px solid var(--main-color);
    border-radius: 3px;
    box-shadow: inset 0px 0px 50px #000000;
    padding: 10px;
}

.amount{
    display: flex;
    gap: 5px;
    align-items: center;
    color: var(--main-color);
    font-family: var(--roboto-bold);
    font-size: 30px;
}

.status-points{
    font-family: var(--roboto-bold);
    font-size: 16px;
    color: #ffffff;
}

#current-money-img{
    width:15px !important;
}



@media(min-width: 735px) {
    
    
    main .mid-section .container.level-benefits .inner-container .cards-data-table-container.swiper-2 { 
        display: flex;
    }
    
    main .mid-section .container.level-benefits .inner-container .cards-data-table-container.swiper-1 {
        flex-direction: row;
        gap: 100px;
    }
    
    main .mid-section .container.level-benefits .level-benefits-wrapper {
        order: 0;
    }
    
    main .mid-section .container.level-benefits .level-benefits-data-container {
        order: 0;
        width: 335px;
        max-width: 335px;
        min-width: 335px;
        flex-shrink: 0;
    }
    
    .cards-data-table-container{
        align-items: flex-end;
    }
    
    .info-win-coins{
        flex-direction: row;
        max-width: 700px;

    }

    .info-win-note{
        width: 543px;
    }
    
}

@media(min-width: 1024px) {
    main .mid-section {
        gap: 0;
    }
    
    main .mid-section .container.level-benefits {
        padding: 40px 20px; 
    }
    
    main .bottom-section {
        padding: 40px 0;
    }
}